; area.lsp

(defun area (display-from x-max)
    (let ((n 1) (in 0) (out 0) (x) (y) (d))
	(setq x-max (* x-max 1.0))
	(loop
	    (setq x (random x-max))
	    (setq y (random 1.0))
	    (if (< y (func-exp x))
		(setq in (1+ in))
		(setq out (1+ out)) )
	    (setq d (make-area x-max in n))
	    (if (>= n display-from) (progn (princ n) (spaces 1) (princ d) (spaces 1) (princ (beki d)) (terpri)))
	    (setq n (1+ n)) ) ) )

(defun func-exp (x) (exp (* -1 x x)))

;(defun make-area (x-max in n)
;    (* 2 (/ (* x-max 1.0 in) n)) )

(defun make-area (x-max in n)
    (* 2 (* x-max (/ in n))) )

(defun beki (x) (* x x))

(area 200000 5)
